//
//  Copyright (c) 2012  Finnbarr P. Murphy.  All rights reserved.
//
//  Version: 1.0 (02/16/2012)
//
//  License: Attribution Assurance License (see www.opensource.org/licenses)
//

const Main = imports.ui.main;

function NoHotCorner() {
    this._init.apply(this, arguments);
}

NoHotCorner.prototype = {
    _init: function() {
        this.lm = Main.layoutManager;
    },

    enable: function() {
        this.lm.overviewCorner.hide();
        this.lm._hotCorner.actor.hide();
    },

    disable: function() {
        this.lm.overviewCorner.show();
        this.lm._hotCorner.actor.show();
    }
};

function init() {
    return new NoHotCorner();
}
